Skip to main content
GET
/
api
/
v3
/
answer-engine
/
{engine_id}
Get Answer Engine
curl --request GET \
  --url https://api.nugen.in/api/v3/answer-engine/{engine_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "answer_engine_id": "<string>",
    "status": "<string>",
    "answer_engine_name": "<string>",
    "user_id": "<string>",
    "org_id": "<string>",
    "created_at": "<string>",
    "model_llm": "<string>",
    "model_embedding": "<string>",
    "model_reranker": "<string>",
    "system_prompt": "<string>",
    "temperature": 123,
    "max_tokens": 123,
    "document_count": 123,
    "chunk_count": 123,
    "doc_ids": [
      "<string>"
    ],
    "error_message": "<string>",
    "updated_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

engine_id
string
required

Unique answer engine identifier (e.g. ae_8c625d9d71)

Response

Returns detailed information about a specific answer engine

Response containing full details of a specific answer engine.

data
AnswerEngineData · object
required

Shared response shape for a single answer engine object, used by create, get, and list responses.